import { ExecutionTrace } from './executionTrace.model';
export interface EngineNodeTrace {
    id: string;
    label: string;
    parent?: string;
    parallel?: boolean | string;
    abstract?: boolean;
    createTime?: Date;
    updateTime?: Date;
}
export interface EngineNodeData<I = unknown, O = unknown> extends EngineNodeTrace, ExecutionTrace<I, O> {
}
export declare function isEngineNodeTrace(config: EngineNodeTrace | EngineNodeData | unknown): config is Partial<EngineNodeTrace>;
/**
 * @deprecated Use `isEngineNodeTrace` instead.
 *
 * ⚠️ `isNodeTrace` is deprecated and will be removed in a future release.
 * Migrate to `isEngineNodeTrace` to ensure compatibility with future updates.
 */
export declare const isNodeTrace: typeof isEngineNodeTrace;
/**
 * @deprecated Use `EngineNodeTrace` instead.
 *
 * ⚠️ `NodeTrace` is deprecated and will be removed in a future release.
 * Migrate to `EngineNodeTrace` to ensure compatibility with future updates.
 */
export interface NodeTrace extends EngineNodeTrace {
}
/**
 * @deprecated Use `EngineNodeData` instead.
 *
 * ⚠️ `NodeData` is deprecated and will be removed in a future release.
 * Migrate to `EngineNodeData` to ensure compatibility with future updates.
 */
export interface NodeData extends EngineNodeData {
}
//# sourceMappingURL=engineNodeData.model.d.ts.map