"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateHashId = generateHashId;
const crypto_1 = require("crypto");
/**
 * Generates a SHA-256 hash ID from the given inputs.
 *
 * @param inputs - Values to hash.
 * @returns A 64-character hex string.
 */
function generateHashId(...inputs) {
    return (0, crypto_1.createHash)('sha256').update(JSON.stringify(inputs)).digest('hex');
}
