import { FunctionMetadata } from '../models/executionFunction.model';
export declare function extractFunctionParamNames(fn: Function): string[];
export declare function extractFunctionMetadata(fn: Function): FunctionMetadata;
export declare function extractClassMethodMetadata(className: string, methodName: string | symbol, fn: Function): FunctionMetadata;
/**
 * Wraps a function and attaches method metadata, or returns the value as-is.
 * This is useful in method decorators, where the function needs to be aware of method-specific metadata
 * that would otherwise be inaccessible in a plain function.
 *
 * @returns The original value or a function with attached metadata.
 */
export declare function attachFunctionMetadata<O = unknown>(paramOrFunction: O | undefined, thisMethodMetadata: FunctionMetadata): O | undefined;
//# sourceMappingURL=functionMetadata.d.ts.map