export declare class MapCacheStore<T> {
    fullStorage: Map<string, Map<string, unknown>>;
    private readonly functionId;
    private store;
    constructor(fullStorage: Map<string, Map<string, unknown>>, functionId: string);
    /**
     * Retrieves the value associated with the specified key.
     *
     * @param key - The key used to retrieve the value.
     * @returns The value corresponding to the key.
     */
    get(key: string): T;
    /**
     * Sets a value for the specified key.
     *
     * @param key - The key for the value.
     * @param value - The value to store.
     * @param ttl - Time to live in milliseconds (optional).
     * @returns The value that was set.
     */
    set(key: string, value: T, ttl?: number): T;
}
//# sourceMappingURL=mapStore.d.ts.map