import { FunctionMetadata } from '../common/models/executionFunction.model';
import { ExecutionTrace } from '../common/models/executionTrace.model';
import { Awaited } from '../common/utils/awaited';
export interface TraceContext<O> extends ExecutionTrace<Array<unknown>, O> {
    metadata: FunctionMetadata;
    [key: string]: unknown;
}
export declare function executionTrace<O>(blockFunction: (...params: unknown[]) => Promise<O>, inputs?: Array<unknown>, onTraceEvent?: (traceContext: TraceContext<O>) => void, options?: {
    contextKey?: string;
    errorStrategy?: 'catch' | 'throw';
}): Promise<ExecutionTrace<Array<unknown>, Awaited<O>>>;
export declare function executionTrace<O>(blockFunction: (...params: unknown[]) => O, inputs?: Array<unknown>, onTraceEvent?: (traceContext: TraceContext<O>) => void, options?: {
    contextKey?: string;
    errorStrategy?: 'catch' | 'throw';
}): ExecutionTrace<Array<unknown>, O>;
//# sourceMappingURL=trace.d.ts.map